using Microsoft.Maui.Storage;

namespace SteUp.Data.LocalDb;


public interface IDbPathProvider
{
    string GetDbPath();
}

public class DbPathProvider : IDbPathProvider
{
    private const string DbName = "steup_db.db3";

    public string GetDbPath() => 
        Path.Combine(FileSystem.AppDataDirectory, DbName);
}